@echo off
rem IMS kasutajanimi ja salasõna

set /P user=Sisesta kasutajanimi: 
set /P pass=Sisesta salasona: 
rem set user=kasutaja
rem set pass=parool

rem kui pole XP, siis on vajalik määrata, kus asuvad dokumendid, näiteks C:\Users
rem minul hetkel kasutajanimi Viljar
rem goto NOTXP
:XP
set h1=c:\DOCUME~1\Viljar
set ch1=/cygdrive/c/DOCUME~1/Viljar
GOTO KEYS
:NOTXP
set h1=c:\Users\Viljar
set ch1=/cygdrive/c/Users/Viljar

:KEYS
cd %h1%
mkdir .ssh
cd c:\rsync\
set to=ims.ut.ee:/home/%user%/.ssh/authorized_keys
echo ==========================================================
echo KUI VÕTI ON OLEMAS SIIS VALI NO
echo ==========================================================
ssh-keygen -P "" -t dsa -f %ch1%/.ssh/authorized_keys
pscp -l %user% -pw %pass% "%h1%\.ssh\authorized_keys.pub" %to%
ssh -i  %ch1%/.ssh/authorized_keys %user%@ims.ut.ee "chmod -R 700 .ssh/; echo tere"
pause